firebird3.0 (3.0.11.33703.ds4-2) unstable; urgency=medium

  * Bump policy-compliance version to 4.6.2 (no changes needed)
  * drop dependency on lsb-base

 -- Damyan Ivanov <dmn@debian.org>  Tue, 26 Sep 2023 10:25:06 +0000

firebird3.0 (3.0.11.33703.ds4-1) unstable; urgency=medium

  * New official upstream release

  * add patch adding support for mipsel64 and loongarch
    adapted from upstream commit fcc471e420525dbd4a1dda59ed51487d5ead5921
    (Closes: #1042066, #1051444)
  * refresh patch offsets

 -- Damyan Ivanov <dmn@debian.org>  Mon, 25 Sep 2023 19:40:38 +0000

firebird3.0 (3.0.11.33637.ds4-2) unstable; urgency=medium

  * fix arch-all-only build by overriding only dh_lintian-arch for libib-util
    override mangling.
    Thanks to Ondřej Surý (Closes: #1022579)

 -- Damyan Ivanov <dmn@debian.org>  Mon, 24 Oct 2022 19:36:38 +0000

firebird3.0 (3.0.11.33637.ds4-1) unstable; urgency=medium

  * add gbp.conf for DEP-14 git repository layout
  * switch debian/watch to releases published on firebirdsql.org
    the ones on github aren't always accessible (JavaScript)
  * pack-upstream-snapshot: use mk-origtargz for cleaning upstream sources
    single source of truth about what needs to be removed
  * add files to source repackaging exclusion list to match official releases
    when using git snapshots
  * New upstream snapshot 3.0.11.33637.ds4
    Closes: #1021817 -- undistributable source files
  * drop two files from d/copyright that are not present in the source
  * adapt lintian overrides to version 2.115.3
  * bump Standards-Version from 4.6.0 to 4.6.1 (no changes needed)
  * review debian/copyright, move files under right licensing stanza, update
    copyright years, drop additional files with missing/unclear licenses when
    repackaging

 -- Damyan Ivanov <dmn@debian.org>  Sun, 23 Oct 2022 18:48:29 +0000

firebird3.0 (3.0.10.33601.ds4-1) unstable; urgency=medium

  * New upstream version 3.0.10.33601.ds4
  * update debian/copyright (one new file)
  * rebase no-binary-gbaks.patch to apply to slightly changed upstream

 -- Damyan Ivanov <dmn@debian.org>  Thu, 09 Jun 2022 14:33:54 +0000

firebird3.0 (3.0.9.33560.ds4-3) unstable; urgency=medium

  * add missing trailing slash from debian/firebird-image/ entry of
    debian/clean (Closes: #1010876)
    Thanks to John Paul Adrian Glaubitz

 -- Damyan Ivanov <dmn@debian.org>  Thu, 12 May 2022 09:51:55 +0000

firebird3.0 (3.0.9.33560.ds4-2) unstable; urgency=medium

  * rules: stop overriding -O3 with -O2 during build
  * apply upstream commit adding Documentation to the systemd service
  * apply upstream commit dropping StdErr=syslog from the service

 -- Damyan Ivanov <dmn@debian.org>  Fri, 15 Apr 2022 06:05:22 +0000

firebird3.0 (3.0.9.33560.ds4-1) unstable; urgency=medium

  * New upstream version 3.0.9.33560.ds4
   + refresh/update several patches

 -- Damyan Ivanov <dmn@debian.org>  Mon, 14 Feb 2022 21:09:03 +0000

firebird3.0 (3.0.8.33535.ds4-1) unstable; urgency=medium

  * New upstream version 3.0.8.33535.ds4
    + add several new files to debian/copyright
    + drop deb/kfreebsd-inet6.patch, released upstream
    + refresh several patches
    + adapt out/c++-std.patch
    + adapt out/no-copy-from-icu.patch to the new way upstream borrowed from
      ICU source

 -- Damyan Ivanov <dmn@debian.org>  Sat, 20 Nov 2021 19:23:38 +0000

firebird3.0 (3.0.7.33374.ds4-3) unstable; urgency=medium

  * fix build with missing builds/make.new
    Closes: #997483 -- FTBFS
  * Standards-Version: 4.6.0, no changes necessary

 -- Damyan Ivanov <dmn@debian.org>  Sun, 24 Oct 2021 08:20:02 +0000

firebird3.0 (3.0.7.33374.ds4-2) unstable; urgency=medium

  * work around problems with Turkish locale during configuration
    (Closes: #978074)

 -- Damyan Ivanov <dmn@debian.org>  Fri, 25 Dec 2020 20:12:41 +0000

firebird3.0 (3.0.7.33374.ds4-1) unstable; urgency=medium

  * Use secure URI for Homepage.
    Thanks to the Debian Janitor
  * watch: switch to github, allow any kind of archive suffix
  * New upstream version 3.0.7.33374.ds4
  * refresh two patches

 -- Damyan Ivanov <dmn@debian.org>  Tue, 20 Oct 2020 17:07:16 +0000

firebird3.0 (3.0.6.33328.ds4-2) unstable; urgency=medium

  * Restore charset support broken with -1
    + Revert "remove symlinks in surogate "firebird root" directory"
    + Revert "use --with-fbconf=/etc/firebird/3.0"

 -- Damyan Ivanov <dmn@debian.org>  Wed, 01 Jul 2020 12:01:11 +0000

firebird3.0 (3.0.6.33328.ds4-1) unstable; urgency=medium

  * New upstream version 3.0.6.33328.ds4
  * update copyright summary (two new files)
  * drop core-6343-dupl-pk-after-rollback.patch; released upstream
  * update file offsets in 6 patches
  * convert debian/po/es.po to UTF-8
  * declare compliance with Policy 4.5.0 (no changes needed)
  * recode ods11-index-structure.html to UTF-8
  * fix a typo in license text
  * remove symlinks in surrogate "firebird root" directory and use
    --with-fbconf=/etc/firebird/3.0

 -- Damyan Ivanov <dmn@debian.org>  Mon, 29 Jun 2020 12:19:14 +0000

firebird3.0 (3.0.5.33220.ds4-2) unstable; urgency=medium

  * fix possible duplication of primary key values after an exception and a rollback
    (Closes: #963731)

 -- Damyan Ivanov <dmn@debian.org>  Fri, 26 Jun 2020 08:17:36 +0000

firebird3.0 (3.0.5.33220.ds4-1) unstable; urgency=medium

  * New upstream release
  * remove a couple of files dropped upstream from debian/copyright

 -- Damyan Ivanov <dmn@debian.org>  Wed, 22 Jan 2020 08:04:53 +0000

firebird3.0 (3.0.5.33209.ds4-1) unstable; urgency=medium

  * debian/make_packages.sh: drop 'mkdir' from the list of directories passed
    to mkdir -p. It is harmless, but still wrong
    Thanks to Russell Stuart (Closes: #946663)
  * New upstream snapshot from the B3_0_Release branch
  * copyright:
    + drop two files and add one file
  * debian/copyright_check.pl:
    + adapt to machine-readable debian/copyright
    + skip '.git/' only, not everything beginning with '.git'
  * refresh/rebase patches

 -- Damyan Ivanov <dmn@debian.org>  Sat, 14 Dec 2019 21:54:00 +0000

firebird3.0 (3.0.5.33189.ds4-1) unstable; urgency=medium

  * New upstream snapshot from the B3_0_Release branch
  * refresh line numbers in two patches
  * Declare conformance to Policy 4.4.1 (no changes needed)
  * Remove unused lintian override for -common-doc

 -- Damyan Ivanov <dmn@debian.org>  Wed, 27 Nov 2019 18:44:54 +0000

firebird3.0 (3.0.5.33157.ds4-1) unstable; urgency=medium

  * New upstream snapshot from the B3_0_Release branch
  * update copyright summary
  * refresh/adapt patches
  * bump debhelper compatibility level to 12
  * add 'Pre-Depends: ${misc:Pre-Depends}' to all packages

 -- Damyan Ivanov <dmn@debian.org>  Sat, 13 Jul 2019 19:12:14 +0000

firebird3.0 (3.0.5.33100.ds4-3) unstable; urgency=medium

  * fix spelling error in copyright
  * install manuals for admin binaries in section 8
  * rules: remove unsupported "--with-bin" configure argument
  * rules: comment wording
  * adopt dh as package build system
  * Declare conformance with policy 4.4.0

 -- Damyan Ivanov <dmn@debian.org>  Sat, 13 Jul 2019 18:41:50 +0000

firebird3.0 (3.0.5.33100.ds4-2+exp1) experimental; urgency=medium

  * Address FTCBFS: Obtain pkg-config from dpkg's buildtools.mk.
    Patch by Helmut Grohne, Closes: #928849

 -- Damyan Ivanov <dmn@debian.org>  Thu, 16 May 2019 18:46:48 +0000

firebird3.0 (3.0.5.33100.ds4-2) unstable; urgency=medium

  * rules: fail if unable to determine ICU version.
  * rules: deremine ICU version via pkg-config
    Closes: #921683, thanks to Matthias Klose

 -- Damyan Ivanov <dmn@debian.org>  Fri, 08 Feb 2019 07:59:55 +0000

firebird3.0 (3.0.5.33100.ds4-1) unstable; urgency=medium

  * New upstream snapshot from the B3_0_Release branch

 -- Damyan Ivanov <dmn@debian.org>  Thu, 07 Feb 2019 12:34:25 +0000

firebird3.0 (3.0.5.33086.ds4-2) unstable; urgency=medium

  * fix typo in xinetd configuration (Closes: #919422)

 -- Damyan Ivanov <dmn@debian.org>  Tue, 15 Jan 2019 21:31:57 +0000

firebird3.0 (3.0.5.33086.ds4-1) unstable; urgency=medium

  * New upstream snapshot from the B3_0_Release branch
  * Declare conformance with Policy 4.3.0 (no chanes needed)
  * replace usage of dpkg-maintscript-helper with a .maintscript file

 -- Damyan Ivanov <dmn@debian.org>  Fri, 11 Jan 2019 14:17:53 +0000

firebird3.0 (3.0.5.33083.ds4-1) unstable; urgency=medium

  * New upstream snapshot from the B3_0_Release branch
  * add Build-Depends-Package field to *.symbols files; thanks, lintian

 -- Damyan Ivanov <dmn@debian.org>  Wed, 05 Dec 2018 09:51:45 +0000

firebird3.0 (3.0.5.33077.ds4-1) unstable; urgency=medium

  * New upstream snapshot from the B3_0_Release branch

 -- Damyan Ivanov <dmn@debian.org>  Wed, 07 Nov 2018 11:51:58 +0000

firebird3.0 (3.0.4.33066.ds4-1) unstable; urgency=medium

  * functions.sh/firebird_config_postinst: route service start via
    invoke-rc.d.
    Thanks to Andreas Beckmann (Closes: #910989)
  * New upstream snapsot from the B3_0_Release branch
  * drop .gitignore files from d/copyright (excluded from repackaged sources)

 -- Damyan Ivanov <dmn@debian.org>  Sun, 14 Oct 2018 18:33:32 +0000

firebird3.0 (3.0.4.33055.ds4-2) unstable; urgency=medium

  * Porting efforts:
    + c++-std.patch: apply also to prefix.freebsd{,-amd64}
    + patch prefix.freebsd* to match prefix.linux
      the -msse4 option is of particular interest
    + deb/march-i486.patch: extend to cover prefix.freebsd
    + add patch teaching SockAddr.h about kfreebsd's AF_INET6
    Thanks to James Clarke
    + patch fallback definition of MAXPATHLEN outside of WinNT conditional
      helps the hurd build move a bit further
  * also remove .gitignore files when repacking upstream sources
  * init: remove left over setting of the FIREBIRD environment variable.
    Not needed, and actually harmful, since it points to a non-existing path
    Thanks to Jan Korbel, Closes: #901959

 -- Damyan Ivanov <dmn@debian.org>  Sun, 07 Oct 2018 07:15:01 +0000

firebird3.0 (3.0.4.33055.ds4-1) unstable; urgency=medium

  * New upstream snapshot from the B3_0_Release branch
  * add basic autopkgtest
    for now tests database creation, backup, restore and validation

 -- Damyan Ivanov <dmn@debian.org>  Fri, 05 Oct 2018 08:50:33 +0000

firebird3.0 (3.0.4.33054.ds4-2) unstable; urgency=medium

  * ad patch from John David Anglin fixing build problem on HPPA
    (Closes: #858868)

 -- Damyan Ivanov <dmn@debian.org>  Tue, 25 Sep 2018 05:35:45 +0000

firebird3.0 (3.0.4.33054.ds4-1) unstable; urgency=medium

  * pack-upstream-snapshot: adapt to git, drop date from upstream version
    upstream version already includes a build number, which is
    increasing and unique
  * remove another HTML file without source when repackaging
  * New upstream snapshot from the B3_0_Release branch
  * update debian/copyright
  * drop out/nbackup-decompress-level1.patch (fixed upstream)
  * adapt/refresh remaining patches
  * move source.lintian-overrides to source/lintian-overrides
  * add debian/upstream/metadata file
  * repack.sh: remove empty directories
  * honour-buildflags.patch: stop overriding CXXFLAGS from the environment
  * bump debhelper compatibility level to 11
  * add Rules-Requires-Root: no
  * declare conformance with Policy 4.2.1

 -- Damyan Ivanov <dmn@debian.org>  Mon, 24 Sep 2018 09:40:59 +0000

firebird3.0 (3.0.3.32900.ds4-4) unstable; urgency=medium

  * add patch from upstream master branch adding support for building on
    Linux/RiscV64
  * add missing builds/posix/prefix.linux_riscV64 completing RiscV64 support.
    Thanks to Manuel A. Fernandez Montecelo (Closes: #895257)
  * refresh line offsets of two patches

 -- Damyan Ivanov <dmn@debian.org>  Wed, 20 Jun 2018 13:06:25 +0000

firebird3.0 (3.0.3.32900.ds4-3) unstable; urgency=medium

  * disable UDFs in firebird.conf due to a remote authenticated code execution
    vilnerability
    https://www.tenable.com/security/research/tra-2017-36 (CVE-2017-11509)
    http://tracker.firebirdsql.org/browse/CORE-5518
  * bump Standards-Version to 4.1.4 (no changes needed)
  * fix typo in fbserver-startup.patch; thanks, lintian
  * drop get-orig-source target from debian/rules; was an alias for uscan
  * copyright: fix a lintian warning about double license definition
  * move databases.conf and fbtrace.conf symlinks from -server-core to -server
    the real files are in -server already. Closes: #873913

 -- Damyan Ivanov <dmn@debian.org>  Fri, 20 Apr 2018 13:42:14 +0000

firebird3.0 (3.0.3.32900.ds4-2) unstable; urgency=medium

  * add c++-std.patch, adding --std=gnu++03 to several build prefix files
    Closes: #889627

 -- Damyan Ivanov <dmn@debian.org>  Mon, 05 Feb 2018 15:50:05 +0000

firebird3.0 (3.0.3.32900.ds4-1) unstable; urgency=medium

  * move myself from Uploaders to Maintainer
  * point Vcs-* to salsa.debian.org
  * drop no-binary-metadata.patch
  * convert debian/copyright to copyright-format/1.0
  * convert d/watch to version 4, with source URL from upstream site (not
    sf.net) and automatic repackaging
  * exclude all *.pdf under doc/ when repackaging
  * New upstream version 3.0.3.32900.ds4
  * update copyright
  * drop dupl-unique-constraint.patch (applied upstream)
  * adapt patches to apply to the new release
  * refresh patches to apply cleanly
  * rules: drop -std and -fno-delete-null-pointer-checks from
    DEB_CXXFLAGS_MAINT_APPEND
  * drop ddeb-migration parameters of dh_strip

 -- Damyan Ivanov <dmn@debian.org>  Sun, 04 Feb 2018 16:41:06 +0000

firebird3.0 (3.0.2.32703.ds4-15) unstable; urgency=medium

  * update nbackup(1) with additional options, variants and description
  * add patch fixing nbackup -decompress -restore when multi-level restore is
    performed

 -- Damyan Ivanov <dmn@debian.org>  Sun, 14 Jan 2018 16:12:21 +0000

firebird3.0 (3.0.2.32703.ds4-14) unstable; urgency=medium

  * -server.postinst/functions.sh: make sure debhelper_hook receives original
    command-line parameters

 -- Damyan Ivanov <dmn@debian.org>  Wed, 10 Jan 2018 09:11:09 +0000

firebird3.0 (3.0.2.32703.ds4-13) unstable; urgency=medium

  * rework -server long description
  * add patch from upstream Git fixing possible diplicates in columns with
    unique constraint (Closes: #886781)
  * add -DUCHAR_TYPE=uint16_t to DEB_CXXFLAGS_MAINT_APPEND fixing compilation
    with libicu59; Thanks to Adam Conrad (CLoses: #879972)

 -- Damyan Ivanov <dmn@debian.org>  Tue, 09 Jan 2018 21:31:15 +0000

firebird3.0 (3.0.2.32703.ds4-12) unstable; urgency=medium

  * drop unneeded bison build dependency
  * pass --with-fblib=/usr/lib/${DEB_HOST_MULTIARCH} to ./configure
  * remove $fb_incdir and $fb_libdir from fb_config output
    there is no need to output the default system-wide directories
    (or symlinks to them)
  * drop alternative build dependency on obsolete dh_systemd
  * drop build dependency on faketime
    not used since the effort for reproducible backup files was abandoned
  * update honour-buildflags.patch to pass LDFLAGS to the linker
  * extend a bit the long description of libfbclient2
  * drop build dependency on libatomic-ops-dev (Closes: #883585)

 -- Damyan Ivanov <dmn@debian.org>  Thu, 14 Dec 2017 10:16:30 +0200

firebird3.0 (3.0.2.32703.ds4-11) unstable; urgency=medium

  * Upload to unstable
    Closes: #874517 -- configure.ac not supporting cross-build

 -- Damyan Ivanov <dmn@debian.org>  Thu, 07 Sep 2017 14:05:35 +0000

firebird3.0 (3.0.2.32703.ds4-10) experimental; urgency=low

  * Add patch from Helmut Grohne fixing cross-build support in configure.ac.
    See #874517
  * rules: s/BUILD/HOST/ in the OS check for --enable-raw-devices.
    Thanks to Helmut Grohne, see #874517
  * drop parallel-build.patch
    not needed with FB3
    using lockfile prevents cross-building. See #874517
    also drop procmail build-dependency as no longer needed
  * refresh remaining patches
  * Upload to experimental

 -- Damyan Ivanov <dmn@debian.org>  Thu, 07 Sep 2017 09:49:05 +0000

firebird3.0 (3.0.2.32703.ds4-9) unstable; urgency=medium

  * update years of copyright for debian/*
  * Do not ship employee.fbk in -examples, making the build deterministic.
    Ship a SQL script that creates employee.fdb instead.
    Closes: #867200 -- src:firebird3.0: Does not buildreproducibly (third
    take)
  * remove sample database from databases.conf
  * stop fiddling with employee.fdb attempting to make its creation
    deterministic.

 -- Damyan Ivanov <dmn@debian.org>  Tue, 01 Aug 2017 14:34:42 +0000

firebird3.0 (3.0.2.32703.ds4-8) unstable; urgency=medium

  * Use "frozen time" when calling faketime in order to produce deterministic
    employee.fbk (Closes: #867200 -- src:firebird3.0: Does not build
    reproducibly, broken in -6)
  * extend a bit the shorter long descriptions

 -- Damyan Ivanov <dmn@debian.org>  Mon, 31 Jul 2017 10:45:07 +0000

firebird3.0 (3.0.2.32703.ds4-7) unstable; urgency=medium

  * Add synthetic dependency on libicu to -server-core.
    This is needed because firebird loads libicu via dlopen()
    Missing dependency found by piuparts, see
    https://piuparts.debian.org/sid/fail/firebird3.0-server_3.0.2.32703.ds4-5.log

 -- Damyan Ivanov <dmn@debian.org>  Sun, 30 Jul 2017 06:12:57 +0000

firebird3.0 (3.0.2.32703.ds4-6) unstable; urgency=medium

  * Revert "Stop shipping employee.fdb in firebird3.0-examples"
  * Revert "stop trying to supply deterministic security3.fdb and employee.fdb
    in the package"
  * Ship employee sample database as a Firebird database backup (.fbk)
    Firebird backup files seem to be more deterministic compared to the raw
    database (provided you use faketime -- the backup contains timestamp
    of creation). See #867200

 -- Damyan Ivanov <dmn@debian.org>  Sat, 29 Jul 2017 17:17:41 +0000

firebird3.0 (3.0.2.32703.ds4-5) unstable; urgency=medium

  * update d/copyright to match new upstream release
  * Rework long descriptions to be more focused.
    Closes: #854433 -- irebird3.0-server-core: Please document that this is
    the package needed to use the embedded mode
  * Add Enhances: linfbclient2 and Recommends: firebird3.0-utils to -server-core
  * Add Recommends: firebird3.0-server-core and Suggests: firebird3.0-server
    to -utils
  * rules: print config.log when configure fails
  * Stop shipping employee.fdb in firebird3.0-examples.
    This was an unavoidable source for non-determinism
    Update README.Debian accordingly
  * Stop shipping security3.fdb in firebird3.0-server.
    Instead, create it during postinst
    This was the last source of non-determinism. Closes: #867200

 -- Damyan Ivanov <dmn@debian.org>  Wed, 26 Jul 2017 20:22:45 +0000

firebird3.0 (3.0.2.32703.ds4-4) unstable; urgency=medium

  * drop libib-util.triggers. dh_shlibdeps now handles the ldconfig trigger
  * add support for the nodoc parameter of DEB_BUILD_OPTIONS
  * rules: replace dpkg-parsechangelog invocation with SOURCE_DATE_EPOCH from
    dpkg's pkg-info.mk. Thanks, lintian
  * Declare conformance with Policy 4.0.0

 -- Damyan Ivanov <dmn@debian.org>  Wed, 21 Jun 2017 11:53:57 +0000

firebird3.0 (3.0.2.32703.ds4-3) unstable; urgency=medium

  * Upload to unstable

 -- Damyan Ivanov <dmn@debian.org>  Mon, 19 Jun 2017 11:59:28 +0000

firebird3.0 (3.0.2.32703.ds4-2) experimental; urgency=medium

  * fix short variant of the -full validation mode in gfix(1)
  * README.Debian: suggest a clean way for using unicode collations from old
    ICU versions
  * install README.Debian in -common-doc

 -- Damyan Ivanov <dmn@debian.org>  Mon, 12 Jun 2017 07:56:38 +0000

firebird3.0 (3.0.2.32703.ds4-1) experimental; urgency=medium

  * New upstream release
    + Drop 4 patches released upstream and fix offsets in 2 patches to apply
      cleanly
  * move password question reset from .config to .postinst
    Closes: #859236
  * patch fbguard/fbserver so that fbguard parent process exits to the OS only
    after fbserver is ready to serve requests
    Closes: #859234

 -- Damyan Ivanov <dmn@debian.org>  Wed, 05 Apr 2017 19:29:46 +0000

firebird3.0 (3.0.1.32609.ds4-14) unstable; urgency=high

  * Apply commit 56e9a73c168 from upstream B3_0_Release branch
    fixing authenticated remote execution vulnerability (CVE-2017-6369,
    CORE-5474)
    Closes: #858644

 -- Damyan Ivanov <dmn@debian.org>  Sat, 25 Mar 2017 16:07:07 +0000

firebird3.0 (3.0.1.32609.ds4-13) unstable; urgency=medium

  * Add Danish debconf translation by Joe Dalton (Closes: #850854)
  * Added patch from upstream B3_0_Release branch fixing a rare segfault
    during engine unload (Closes: #846392)
  * Revert "rules: make the sample table browsing failures non-fatal"

 -- Damyan Ivanov <dmn@debian.org>  Sat, 14 Jan 2017 15:56:28 +0000

firebird3.0 (3.0.1.32609.ds4-12) unstable; urgency=medium

  * Drop the PIDFile= line from firebird3.0.service
  * rules: invoke dh_systemd_enable to enable the firebird3.0 service upon
    -server package installation

 -- Damyan Ivanov <dmn@debian.org>  Tue, 06 Dec 2016 19:26:44 +0000

firebird3.0 (3.0.1.32609.ds4-11) unstable; urgency=medium

  * Revert "Change runtime directory from /var/run/firebird3.0 to
    /var/run/firebird/3.0"
  * functions.sh: RUN="/var/run/firebird3.0"  (no sub-dir)
  * rules: make the sample table browsing failures non-fatal

 -- Damyan Ivanov <dmn@debian.org>  Wed, 30 Nov 2016 21:02:33 +0000

firebird3.0 (3.0.1.32609.ds4-10) unstable; urgency=medium

  * Change default bind address from '[::1]' to 'localhost'
  * Change runtime directory from /var/run/firebird3.0 to
    /var/run/firebird/3.0

 -- Damyan Ivanov <dmn@debian.org>  Tue, 15 Nov 2016 08:24:29 +0000

firebird3.0 (3.0.1.32609.ds4-9) unstable; urgency=medium

  * quote all strings in debian/make_packahes.sh
  * make the server listen only on the loopback interface by default

 -- Damyan Ivanov <dmn@debian.org>  Fri, 11 Nov 2016 08:56:40 +0000

firebird3.0 (3.0.1.32609.ds4-8) unstable; urgency=medium

  * rewrite manuals of isql-fb, gbak, gfix and gsec from SGML to POD
  * drop the manual of qli, which is not part of Firebird anymore
  * drop docbook-to-man from build-dependencies, no longer used
  * add --with-bin=/usr/bin flag to configure invocation
    makes fb_config --bindir match the reality
  * add manual for fb_config

 -- Damyan Ivanov <dmn@debian.org>  Thu, 20 Oct 2016 08:07:06 +0000

firebird3.0 (3.0.1.32609.ds4-7) unstable; urgency=medium

  * remove debian/fdb-r15y-prune.d on clean
  * rules: use := where possible
  * rules: rearrange targets and stamps to avoid touching build-stamp when
    satisfying the binary target
  * rules: enable raw device support only on linux
    Fixes FTBFS on kfreebsd
  * add patch by John Paul Adrian Glaubitz fixing garbage output by gpre and
    isql caused by linkage issues on mips64el, alpha and m68k
    (Closes: #840666)
  * Add patch by John Paul Adrian Glaubitz adding support for m68k
    (Closes: #840684)

 -- Damyan Ivanov <dmn@debian.org>  Thu, 13 Oct 2016 20:31:51 +0000

firebird3.0 (3.0.1.32609.ds4-6) unstable; urgency=medium

  * add RuntimeDirectory= to server's service files
    fixes firebird3.0-server startup errors
  * use and build-depend on 'rename' package instead of perl-provided prename
  * temporary directory is /tmp/firebird
  * doc-base: let all Titles start with 'Firebird 3.0'
  * doc-base: include all text docs
  * turn echo on when verifying pruned database

 -- Damyan Ivanov <dmn@debian.org>  Wed, 12 Oct 2016 08:57:51 +0000

firebird3.0 (3.0.1.32609.ds4-5) unstable; urgency=medium

  * Verify and apply suggestions from the multi-arch hinter
    -doc and -examples become M-A: foreign
    -server-core becomes M-A: same
  * build fdb-r15y-prune with a separate Makefile
    this allows including compiler flags from gen/make.platform without
    parsing its content by hand, which was broken on some architectures due
    to unexpected content
  * test resulting example database after pruning

 -- Damyan Ivanov <dmn@debian.org>  Tue, 11 Oct 2016 08:54:46 +0000

firebird3.0 (3.0.1.32609.ds4-4) unstable; urgency=medium

  * symlink stuff in /usr/lib/<triplet>/firebird/3.0 to match fb_config output
  * Mark firebird3.0-common as Multi-Arch: foreign

 -- Damyan Ivanov <dmn@debian.org>  Mon, 10 Oct 2016 10:08:12 +0000

firebird3.0 (3.0.1.32609.ds4-3) unstable; urgency=medium

  * Add Multi-Arch headers to libfbclient2, libib-util and
    firebird3.0-common-doc
  * integrate fdb-r15y-prune from 2.5
    + compare DB ODS version with the one the tool is compiled against, not a
      fixed number
    + reset pag_generation (last changing transaction ID) and pag_reserved for
      all page types
    + more information about data pages
  * Upload to unstable

 -- Damyan Ivanov <dmn@debian.org>  Fri, 07 Oct 2016 07:00:01 +0000

firebird3.0 (3.0.1.32609.ds4-2) experimental; urgency=medium

  * d/rules: call configure with arch-specific --prefix
  * d/rules: build --with-fbconf=${ULFB} and symlink *.conf there
    ($ULFB = /usr/lib/<triplet>/firebird/3.0)
  * d/rules: rely on the environment for passing compiler flags
  * add compiler flags to make the build pass with gcc6
    -std=gnu++98
    -fno-lifetime-dse
    -fno-delete-null-pointer-checks
    -fno-strict-aliasing
  * amend honour-buildflags.patch to add CFLAGS when building btyacc
  * use proper versioned dependency on lsb-base for /lib/lsb/init-functions
    (thanks, lintian)

 -- Damyan Ivanov <dmn@debian.org>  Wed, 05 Oct 2016 11:00:35 +0000

firebird3.0 (3.0.1.32609.ds4-1) experimental; urgency=medium

  * remove symlinks in /usr/lib/firebird/3.0
    instead of mimicking a "standard layout" under /usr/lib/firebird/3.0
    (a non-standard location to begin with), rely on fb_config telling
    potential users where things are.
    As a side effect Closes: #838365 -- broken symlink to aliases.conf
    (and aliases.conf is gone in 3.0 anyway)
  * adopt multi-arch paths under /usr/lib
  * New upstream version 3.0.1.32609.ds4
    + drop two files from d/copyright, gone upstream
    + drop three patches released upstream
    + refresh the rest to apply cleanly
  * fix service name in functions.sh
  * fix PID path in make_packages.sh
  * fix the path to employee.fdb in databases.conf
  * rework setting of sysdba password via dpkg-reconfigure using the new
    functionality in 3.0 for direct access to the security database
  * drop two unused functions from functions.sh

 -- Damyan Ivanov <dmn@debian.org>  Thu, 29 Sep 2016 20:02:39 +0000

firebird3.0 (3.0.0.32483.ds4-6) experimental; urgency=medium

  * make_packages: rename installed .service file to firebird3.0-server
  * temporarily use gcc-5 for building
  * Drop experimental warnings from -server description. 3.0 is officially
    released.
  * Drop TCP connection and the claim about interoperability with InterBase
    from client description
  * split core engine into -server-core package (Closes: #834952)
  * stop renaming firebird3.0.service to firebird3.0-server.service
  * fix a spelling mistake in gdix.sgml
  * Typo in server description
  * a couple of spelling mistakes in messages/comments

 -- Damyan Ivanov <dmn@debian.org>  Mon, 19 Sep 2016 16:05:02 +0000

firebird3.0 (3.0.0.32483.ds4-5) experimental; urgency=medium

  * add a patch from upstream fixing unaligned access on sparc64
    (Closes: #823802)

 -- Damyan Ivanov <dmn@debian.org>  Tue, 14 Jun 2016 16:11:57 +0000

firebird3.0 (3.0.0.32483.ds4-4) experimental; urgency=medium

  * patch fb_config --embedlibs to output the same flags as --libs
    (Closes: #826591)

 -- Damyan Ivanov <dmn@debian.org>  Tue, 07 Jun 2016 11:47:38 +0000

firebird3.0 (3.0.0.32483.ds4-3) experimental; urgency=medium

  * install fb_config in firebird-dev (Closes: #826320)

 -- Damyan Ivanov <dmn@debian.org>  Mon, 06 Jun 2016 10:26:25 +0000

firebird3.0 (3.0.0.32483.ds4-2) experimental; urgency=medium

  * include Firebird.pas in firebird-dev package
  * Add patch from upstream commit 6a8067e fixing locking on big-endian
    (Closes: #823705)
  * libib-util.post{inst,rm}: replace ldconfig call with a trigger
  * Declare conformance with Policy 3.9.8 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Tue, 10 May 2016 11:50:00 +0000

firebird3.0 (3.0.0.32483.ds4-1) experimental; urgency=medium

  * Final 3.0.0 release

  * adapt prune-upstream-dfsg.lst to 3.0.0
  * the QuickStart.pdf was renamed in 3.0.0
  * watch: drop pre-release and snapshot URLs
  * watch: strip trailing -0 from upstream version
  * make sure src/include/gen/Firebird.pas is rebuilt
  * update upstream copyrights
  * rules: add bindnow hardening option
  * build executable binaries with -fPIE -pie

 -- Damyan Ivanov <dmn@debian.org>  Fri, 22 Apr 2016 08:26:13 +0000

firebird3.0 (3.0.0.32383+20160312.ds4-1) experimental; urgency=medium

  * follow B3_0_Release branch for upstream snapshots
  * add doc/Using_OO_API.html to the list of files removed from original
    sources
  * Imported Upstream version 3.0.0.32383+20160312.ds4
    This is a couple of commits after 3.0 RC2
  * update debian/copyright for the new snapshot
  * refresh patches to apply cleanly
  * use https transport for the Vcs-Git control field
  * Fix two typos in Debian-provided manuals
  * migrate to -dbgsym packages maintained by debhelper
  * patch perfrom -> perform spelling error (thanks, lintian)

 -- Damyan Ivanov <dmn@debian.org>  Mon, 14 Mar 2016 20:40:27 +0000

firebird3.0 (3.0.0.32157+20151110.ds4-1) experimental; urgency=medium

  * Imported Upstream version 3.0.0.32157+20151110.ds4
    Several commits after 3.0 RC1
  * update d/copyright (file renames)

 -- Damyan Ivanov <dmn@debian.org>  Tue, 10 Nov 2015 20:25:13 +0000

firebird3.0 (3.0.0.32137+20151031.ds4-1) experimental; urgency=medium

  * Imported Upstream version 3.0.0.32137+20151031.ds4
  * refresh np-copy-from-icu.patch to apply cleanly

 -- Damyan Ivanov <dmn@debian.org>  Sat, 31 Oct 2015 15:31:40 +0000

firebird3.0 (3.0.0.32096+20151018.ds4-1) experimental; urgency=medium

  * Imported Upstream version 3.0.0.32096+20151018.ds4

 -- Damyan Ivanov <dmn@debian.org>  Sun, 18 Oct 2015 17:23:51 +0000

firebird3.0 (3.0.0.32081+20151010.ds4-1) experimental; urgency=medium

  * Imported Upstream version 3.0.0.32081+20151010.ds4
  * update debian/copyright (two new files, one typo)

 -- Damyan Ivanov <dmn@debian.org>  Sun, 11 Oct 2015 16:06:26 +0000

firebird3.0 (3.0.0.32052+20150925.ds4-1) experimental; urgency=medium

  * d/pack-upstream-snapshot: use $FULL_UPSTREAM_VER+$DATE for version
  * Imported Upstream version 3.0.0.32052+20150925.ds4
  * update d/copyright for a couple of new PD files
  * bump debhelper compatibility level to 9

 -- Damyan Ivanov <dmn@debian.org>  Sat, 26 Sep 2015 20:54:25 +0000

firebird3.0 (3.0.0.31896~Beta2.ds4-1) experimental; urgency=medium

  * Imported Upstream version 3.0.0~svn+61853.ds4
  * bump years of upstream copyright
  * update copyright summary with information about new files
  * copyright_check: improve file-name matching
  * add forgotten src/include/iberror.h to debian/copyright
  * Drop spelling.patch (applied upstream)
  * Drop kfreebsd-qsort.patch (applied upstream)
  * Drop tighten-sem-perms.patch (applied upstream)
  * server.postrm: do not fail to purge when there were no user databases
    created (Closes: #788281)
  * remove obsolete package relations with firebird2.0
  * Imported Upstream version 3.0.0.31896~Beta2.ds4
  * update debian/copyright
  * -utils: add Conflicts: with firebird2.5-common, firebird2.5-server-common
    (Closes: #787920)
  * install systemd service/socket in /lib

 -- Damyan Ivanov <dmn@debian.org>  Sat, 11 Jul 2015 09:03:23 +0000

firebird3.0 (3.0.0~svn+61729.ds4-2) experimental; urgency=medium

  * refresh two patches to apply without offsets
  * three more generated files to clean after build
  * add patch fixing logic around HAVE_QSORT_R on kFreeBSD (Closes: #632576)

 -- Damyan Ivanov <dmn@debian.org>  Fri, 05 Jun 2015 12:32:30 +0000

firebird3.0 (3.0.0~svn+61729.ds4-1) experimental; urgency=medium

  * Fix the last case of $VER usage, replacing it with $FB_VER (Closes: #787506)
  * Imported Upstream version 3.0.0~svn+61729.ds4
    + update debian/copyright

 -- Damyan Ivanov <dmn@debian.org>  Fri, 05 Jun 2015 09:59:24 +0000

firebird3.0 (3.0.0~svn+61579.ds4-2) experimental; urgency=medium

  * consistently use FB_VER instead of that and VER to refer to the firebird
    version throughout maintainer scripts
    Closes: #787506 -- firebird3.0-server.postinst: VER: parameter not set
    Thanks to Andreas Beckman

 -- Damyan Ivanov <dmn@debian.org>  Tue, 02 Jun 2015 14:13:44 +0000

firebird3.0 (3.0.0~svn+61579.ds4-1) experimental; urgency=medium

  * Remove extra ';a=summary' from the Vcs-Browser URL
  * -server.postinst: s/LOGDIR/LOG_DIR/ spelling mistake
  * Imported Upstream subversion snapshot r61579
  * fix populating -dev with include/firebird/* content

 -- Damyan Ivanov <dmn@debian.org>  Tue, 19 May 2015 18:39:24 +0000

firebird3.0 (3.0.0~svn+61473.ds4-1) experimental; urgency=low

  * New upstream SVN snapshot
   + update copyright
   + repack: remove bundled boost

  * fix typo in -common-doc description (Closes: #641149)
  * control: fix -dev dependency on libib-util.
    Thanks to marius adrian popa (Closes: #663368)
  * refresh patches to apply cleanly
  * repack.sh: switch to xz compression
  * repack.sh: sync with 2.5
  * drop non-existent src/install/arch-specific/solx86gcc from
    prine-upstream-dfsg.lst
  * also prune builds/install/arch-specific/linux/firebird.init.d.suse.in
    has copyright statement but no license for anything
  * add a patch to remove references to firebird.init.d.suse.in
  * prune several OpenOffice.org-generated HTML files in doc/
    we need their source, can't distribute non-source files
  * repack: also remove generated src/include/gen/parse.h
  * add libtommath-dev to build-dependencies and remove bundled copy
  * repack: remove two more auto-generated files
  * use system boost headers during build
  * drop no-binary-metadata.gbak.patch, adopted upstream
  * temporarily disable no-spurious-linkage.patch
    we have more important things now, will return to
    spurious linkage later
  * refresh patches to apply cleanly
  * make_packages.sh: aliases.conf → databases.conf
  * patch builds/posix/Makefile.in to always re-generate ids.h
  * exclude built example plugins from the binary package
    upstream discourages their use for production
  * install systemd support files
  * use canonical Vcs-* headers
  * fix typo in gpre.pod
  * rules: adopt hardening flags
  * rules: provide build-arch and build-indep targets
  * patch firebird-superserver.service.in to drop syslog.target from
    dependencies
  * patch a couple of spelling mistakes
  * patch posix/Makefile.in to pass hardening build flags to btyacc and
    makeHeader compilation
  * add zlib1g-dev to B-D. enables wire compression
  * move firebird.msg to libfbclient2 package
    ported from firebird2.5
  * update libfbclient2.symbols
  * libib-util: override two lintian complains: shlib-without-versioned-soname
    and dev-pkg-without-shlib-symlink
  * stop using /etc/default/firebird3.0 for enabling/disabling the server.
    The server comes enabled by default. If needed, disabling should be
    done by the administrator via systemctl/update-rc.d
  * remove obsolete /etc/default/firebird3.0
  * drop the shared/firebird/enabled debconf template
  * quote shell variable substitutions
  * replace deprecated `...` with $(...)
  * put server log file under /var/log/firebird.
  * -server.postinst: move existing log files to /var/lib/firebird/
  * when purging the security database, also remove any remaining empty
    directories
  * -server.postinst: drop the --shell option when invoking adduser
  * logrotate: add su option
  * install firebird-superserver.service as firebird3.0-service
    this way it overlaps the init.d script
    also move firebird-classic to -doc/examples/systemd
  * add out/parallel-build.patch serializing engine code calls during building
  * add support for parallel=N in DEB_BUILD_OPTIONS. Thanks to Aron Xu
    (Closes: #723575)
  * Claim conformance with Policy 3.9.6
  * patch cloop compilation to honour compiler/linker flags

 -- Damyan Ivanov <dmn@debian.org>  Mon, 11 May 2015 12:09:23 +0000

firebird3.0 (3.0.0~svn+53030.ds3-1) experimental; urgency=low

  * drop unused patches (kfreebsd fix and nice compiler messages)
  * update copyright summary
  * refresh no-binary-gbaks.patch to apply cleanly
  * describe two new symbols in libfbclient2

 -- Damyan Ivanov <dmn@debian.org>  Sun, 29 May 2011 13:03:07 +0300

firebird3.0 (3.0.0~svn+52872.ds3-1) experimental; urgency=low

  * New upsream SVN snapshot

  * patchworks:
    + rework semaphore permissions patch
    + dtop trim-cflags.patch (applied upstream)
    + disable fix_kfreebsd_amd64_miscompile.patch
    + no-spurious-linkage.patch: -ldl only where needed
    + added out/no-copy-from-icu.patch removing emnedded ICU code from isql
      linking instead
  * pack-upstream-snapshot: drop date from version
  * tighten firebird-dev dependency on libib-util
  * update copyright summary
  * move libfbintl.so from -common to -server
    Avoids circular dependency between libfbclient2 and -common. Thanks,
    lintian!
  * -common is now Arch:all
  * drop Conflicts with ancient firebird2-* packages
  * add Conflicts with still current -server-common and -common packages
  * Claim conformance with Policy 3.9.2

 -- Damyan Ivanov <dmn@debian.org>  Wed, 04 May 2011 21:50:56 +0300

firebird3.0 (3.0.0~svn20110323r52594.ds3-1) experimental; urgency=low

  * New upstream SVN snapshot

  * update copyright/licensing summary
  * patchworks:
    + drop s390_targets.patch
    + adapt/refresh the rest
    + disale nice-compiler-msg.patch
  * make_packages: do not create empty usr/lib/firebird/3.0/lib directory in
    -server. thanks, lintian

 -- Damyan Ivanov <dmn@debian.org>  Wed, 23 Mar 2011 23:01:25 +0200

firebird3.0 (3.0.0~svn20110213r52346.ds3-1) experimental; urgency=low

  * New upstream SVN snapshot

  * remove alternative dependency on cdebconf it is priority:extra and
    we want to stay priority:optional

 -- Damyan Ivanov <dmn@debian.org>  Sun, 13 Feb 2011 16:18:39 +0200

firebird3.0 (3.0.0~svn20110113r52113.ds3-1) experimental; urgency=low

  * New upsream SVN snapshot

  * copyright: drop three files gone upstream

 -- Damyan Ivanov <dmn@debian.org>  Fri, 14 Jan 2011 11:02:58 +0200

firebird3.0 (3.0.0~svn20101218r52055.ds3-1) experimental; urgency=low

  * New upstream SVN snapshot

  * make nice-compiler-msg.patch a bit less intrusive
  * out/s390_targets.patch is forwarded
  * no-binary-metadata.gbak.patch is forwarded

 -- Damyan Ivanov <dmn@debian.org>  Sat, 18 Dec 2010 21:21:38 +0200

firebird3.0 (3.0.0~svn20101206r52030.ds3-1) experimental; urgency=low

  * New upstream SVN snapshot

  * move s390_targets.patch to out/
  * remove mention of using packaged ICU
  * copyright: drop a couple of files removed upstream
  * refresh patches to apply cleanly

 -- Damyan Ivanov <dmn@debian.org>  Sun, 12 Dec 2010 17:19:45 +0200

firebird3.0 (3.0.0~svn20101120r51946.ds3-1) experimental; urgency=low

  * New upstream SVN snapshot

  * patches:
    + series: drop (commented) references to dropped patches
    + split no-binary-metadata.gbak.patch out of no-binary-gbaks.patch. It
      could be forwarded upstream
    + drop out/customizable-log-filename.patch; applied upstream
    + one hunk from no-spurious-linkage.patch applied upstream
  * control: fix bad punctiation in -server description
  * control: do not refer to non-existing -superclassic in -common-doc
    description

 -- Damyan Ivanov <dmn@debian.org>  Sat, 20 Nov 2010 16:57:59 +0200

firebird3.0 (3.0.0~svn20101108r51857.ds3-1) experimental; urgency=low

  * New upstream SVN snapshot
  * drop default-rpath.patch; applied upstream
  * re-enable nice-compiler-msg.patch
  * try to streamline nice-compiler-msg.patch
  * prune README.Debian: there are no static libraries anymore
  * prune README.Debian: SQLDA_DISPLAY isql option is available upstream
  * rules: drop useless --disable-static
  * drop unused link_atomic_ops.patch
  * drop unused no-static-linkage.patch
  * remove $(THR_LIBS) from no-spurious-linkage.patch
  * improve comments in libib-util lintian override
  * drop unussed firebird-utils.{manpages,wrapper}
  * drop obsolete superclassic.lintian-overrides
  * rename .xinetd file and improve comments

 -- Damyan Ivanov <dmn@debian.org>  Mon, 08 Nov 2010 16:19:31 +0200

firebird3.0 (3.0.0~svn20101025r51765.ds3-1) experimental; urgency=low

  * Initial upload of Firebird 3.0, based on firebird2.5
    Closes: #600460 (ITP)

  * prune 2.5 changelog entries
  * watch: track 3.0 releases, prereleases and snapshots
  * repack.sh: adapt to 3.0
  * package simplified thanks to upstream unifying architectures. We now have a
    single -server package and a separate -utils one (see #568089)
  * fbstat manual page rewritten in POD
  * reorganize patches; forward some upstream
  * control: I am the only uploader (since a loong time)
  * remove any references to gdef (gone upstream)
  * libfbclient2.symbols: tag internal symbols as (optional)
  * improved debian/copyright_check.pl
  * update debian/copyright; no surprises
  * debian/pack-upstream-snapshot.sh -- a new script for packaging upstream
    snapshots
  * -server.postrm: delete password database unconditionally on purge
  * control: drop Conflicts/Provices: firebird-udf
  * debian/repack.sh: remove binary .gbak files
  * add no-binary-gbak.patch -- builds metadata.fdb from src/dbs/metadata.sql
    and removes qli and help.fdb from the build (because of missing source of
    help.fdb)

 -- Damyan Ivanov <dmn@debian.org>  Mon, 25 Oct 2010 17:21:43 +0300
